From 958bc79bb37f3c100effd794f0daec83ac6037ab Mon Sep 17 00:00:00 2001
From: Alexander Kojevnikov <alexander@kojevnikov.com>
Date: Sat, 16 Oct 2010 05:56:18 +0000
Subject: build: Fix compilation under Mono 2.8

---
diff --git a/src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/BansheeDialog.cs b/src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/BansheeDialog.cs
index 9758cc6..d21d74e 100644
--- a/src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/BansheeDialog.cs
+++ b/src/Core/Banshee.ThickClient/Banshee.Gui.Dialogs/BansheeDialog.cs
@@ -117,7 +117,7 @@ namespace Banshee.Gui.Dialogs
             return AddStockButton (stock, response, false);
         }
 
-        public new Button AddButton (string message, ResponseType response, bool isDefault)
+        public Button AddButton (string message, ResponseType response, bool isDefault)
         {
             return AddButton (message, response, isDefault, false);
         }
@@ -127,7 +127,7 @@ namespace Banshee.Gui.Dialogs
             return AddButton (stock, response, isDefault, true);
         }
 
-        public new Button AddButton (string message, ResponseType response, bool isDefault, bool isStock)
+        public Button AddButton (string message, ResponseType response, bool isDefault, bool isStock)
         {
             Button button = new Button (message);
             button.CanDefault = true;
diff --git a/src/Hyena b/src/Hyena
-Subproject a71efd4a32e9c8ebb3c1182f81544461bc5c465
+Subproject 359d12855945646a2a4b8296d466f672d3dcee9
diff --git a/src/Libraries/Migo/Migo.Net/AsyncWebClient.cs b/src/Libraries/Migo/Migo.Net/AsyncWebClient.cs
index d41e3ee..18ac5ff 100644
--- a/src/Libraries/Migo/Migo.Net/AsyncWebClient.cs
+++ b/src/Libraries/Migo/Migo.Net/AsyncWebClient.cs
@@ -88,7 +88,6 @@ namespace Migo.Net
 
         public event EventHandler<EventArgs> ResponseReceived;
         public event EventHandler<DownloadProgressChangedEventArgs> DownloadProgressChanged;
-        public event EventHandler<TransferRateUpdatedEventArgs> TransferRateUpdated;
 
         public event EventHandler<AsyncCompletedEventArgs> DownloadFileCompleted;
         public event EventHandler<DownloadDataCompletedEventArgs> DownloadDataCompleted;
diff --git a/src/Libraries/Migo/Migo.Syndication/EnclosureManager.cs b/src/Libraries/Migo/Migo.Syndication/EnclosureManager.cs
index 0e44b1f..520ad41 100644
--- a/src/Libraries/Migo/Migo.Syndication/EnclosureManager.cs
+++ b/src/Libraries/Migo/Migo.Syndication/EnclosureManager.cs
@@ -51,8 +51,6 @@ namespace Migo.Syndication
         private readonly object sync = new object ();
         private ManualResetEvent download_handle;
 
-        public event EventHandler<TaskEventArgs<HttpFileDownloadTask>> EnclosureDownloadCompleted;
-
         public EnclosureManager (DownloadManager downloadManager)
         {
             download_manager = downloadManager;
@@ -334,23 +332,6 @@ namespace Migo.Syndication
                     }
                 }
             }
-
-            OnEnclosureDownloadCompleted (task);
-        }
-
-        private void OnEnclosureDownloadCompleted (HttpFileDownloadTask task)
-        {
-            /*EventHandler<TaskEventArgs<HttpFileDownloadTask>> handler = EnclosureDownloadCompleted;
-
-            if (handler != null) {
-                AsyncCommandQueue<ICommand> cmdQCpy = command_queue;
-
-                if (cmdQCpy != null) {
-                    cmdQCpy.Register (new EventWrapper<TaskEventArgs<HttpFileDownloadTask>> (
-                	    handler, this, new TaskEventArgs<HttpFileDownloadTask> (task))
-                	);
-                }
-            }   */
         }
 
         private void DownloadTaskRemoved (FeedEnclosure enc, HttpFileDownloadTask task, bool decQueuedCount)
diff --git a/src/Libraries/Migo/Migo.Syndication/FeedItem.cs b/src/Libraries/Migo/Migo.Syndication/FeedItem.cs
index 0f479ee..b56012a 100644
--- a/src/Libraries/Migo/Migo.Syndication/FeedItem.cs
+++ b/src/Libraries/Migo/Migo.Syndication/FeedItem.cs
@@ -77,10 +77,6 @@ namespace Migo.Syndication
         private DateTime pubDate;
         private string title;
 
-        public event Action<FeedItem> ItemAdded;
-        public event Action<FeedItem> ItemChanged;
-        public event Action<FeedItem> ItemRemoved;
-
 #region Database-backed Properties
 
         [DatabaseColumn ("ItemID", Constraints = DatabaseColumnConstraints.PrimaryKey)]
--
cgit v0.8.3.1
